import { HttpResponse } from '../@types'
import request from './request'

class TicketService {
  // 取消门票訂單
  static async setTicketOrderCancel(OrderId:number):Promise<HttpResponse>{
    return request('ticket_post_CancelTicketOrder',{OrderId})
  }
  // 门票訂單列表
  static async getTicketOrderList(param:any):Promise<HttpResponse>{
    return request('ticket_post_GetMyTicketOrderPageList',param)
  }
  // 提交门票訂單
  static async setTicketOrder(param:any):Promise<HttpResponse>{
    return request('ticket_post_SetTicketOrder',param)
  }
  // 门票详情
  static async getTicketInfo(param:any):Promise<HttpResponse>{
    return request('ticket_post_GetTicketCouponsInfo',param)
  }
  // 门票列表
  static async getTicketList(param:any):Promise<HttpResponse>{
    return request('ticket_post_GetTicketCouponsPageList',param)
  }
}

export default TicketService
